import { StorageProxy } from '../../../../../client-api-platform/src/api/utils';
/**
 * LocalStorage backed StorageProxy, for use in same origin scenarios (i.e. when the provider and workspace UI are guaranteed
 * to share a storage partition).
 */
export declare class LocalStorageProxy implements StorageProxy {
    #private;
    constructor(storage: Pick<Storage, 'setItem'>);
    setItem(key: string, value: string): Promise<void>;
    destroy(): Promise<void>;
    get isDestroyed(): boolean;
}
